# $Revision: 1.10 $, $Date: 2009/10/16 09:52:22 $
#
# Conditional build:
%bcond_without	tests	# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define		pdir	XML
%define		pnam	RSS-Feed
Summary:	XML::RSS::Feed - module for RDF Site Summary (RSS) files managment
Summary(pl.UTF-8):	XML::RSS::Feed - moduł do zarządzania plikami RDF Site Summary (RSS)
Name:		perl-XML-RSS-Feed
Version:	2.32
Release:	1
Epoch:		1
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/%{pdir}/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	50a070684776c05834b42e0e0c4e4668
URL:		http://search.cpan.org/dist/XML-RSS-Feed/
%if %{with tests}
BuildRequires:	perl-Clone
BuildRequires:	perl-Digest-MD5
BuildRequires:	perl-URI
BuildRequires:	perl-XML-RSS
%endif
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
XML::RSS::Feed - module for RDF Site Summary (RSS) files managment.

%description -l pl.UTF-8
XML::RSS::Feed - moduł do zarządzania plikami RDF Site Summary (RSS).

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes
%{perl_vendorlib}/XML/RSS/*.pm
%dir %{perl_vendorlib}/XML/RSS/Headline
%{perl_vendorlib}/XML/RSS/Headline/*.pm
%{_mandir}/man3/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-XML-RSS-Feed.spec,v $
Revision 1.10  2009/10/16 09:52:22  amateja
- updated to 2.32

Revision 1.9  2007/02/13 08:06:38  glen
- tabs in preamble

Revision 1.8  2007/02/12 01:06:23  baggins
- converted to UTF-8

Revision 1.7  2006/10/20 20:10:23  ankry
- ver. 2.2, Epoch: 1 (forgotten by previous updator)

Revision 1.6  2005/08/11 09:46:18  radek
- bcond_with(out) is followed by one \t, then bcond's name.

Revision 1.5  2005/05/31 07:31:28  petec
- up to 2.1
- some new pm's in %files

Revision 1.4  2004/12/03 14:53:23  radek
- autoupdated to 2.04

Revision 1.3  2004/11/03 22:30:56  paladine
- formatting

Revision 1.2  2004/06/02 18:57:25  qboosh
- pl summary, descriptions from summaries

Revision 1.1  2004/06/02 07:59:40  ankry
- new
